QGIS Application - Bug report #15734
processing: graphical modeler broken under master
2016-10-20 07:08 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23656
Description

When trying to add any parameter to a new model, processing throws the following error:

TypeError: QGraphicsltem(parent: QGraphicsltem = None): too many arguments
Traceback (most recent call last):
File "/home/webmaster/dev/cpp/QGIS/bm-qt5/output/python/plugins/processing/modeler/ModelerDialog.py", line 385, in
addInput
self.addInputOfType(paramType)
File "/home/webmaster/dev/cpp/QGIS/bm-qt5/output/python/plugins/processing/modeler/ModelerDialog.py", line 397, in
addInputOfType
self.repaintModel()
File "/home/webmaster/dev/cpp/QGIS/bm-qt5/output/python/plugins/processing/modeler/ModelerDialog.py", line 379, in
repaintModel
self.scene.paintModel(self.alg)
File "/home/webmaster/dev/cpp/QGIS/bm-qt5/output/python/plugins/processing/modeler/ModelerScene.py”, line 85, in
paintModel
item = ModelerGraphicltem(inp, model)
File "/home/webmaster/dev/cpp/QGIS/bm-qt5/output/python/plugins/processing/modeler/ModelerGraphicltem.py”, line 46, in
__init__
super(ModelerGraphicltem, self).__init__(None, None)
TypeError: QGraphicsltem(parent: QGraphicsltem = None): too many arguments

Associated revisions

Revision bd7149ce - 2016-10-21 05:11 AM - Mathieu Pellerin - nIRV

[processing] fix broken modeler under pyqgt5/python3 (fixes #15734)

Revision 81e86acc - 2016-10-21 08:09 AM - Victor Olaya

Merge pull request #3651 from nirvn/processing_modeler_fix

[processing] fix broken modeler under pyqt5/python3 (fixes #15734)

History

#1 - 2016-10-20 07:09 PM - Mathieu Pellerin - nIRV

- Target version set to Version 3.0
#2 - 2016-10-20 08:13 PM - Mathieu Pellerin - nIRV

PR submitted (https:/github.com/qgis/QGIS/pull/3651).

#3 - 2016-10-20 11:08 PM - Victor Olaya
- Status changed from Open to Closed

Fixed in changeset commit:"81e86accc395b8fb93a73e666d9ac772bcdced7c".
